Skip to main content
POST
/
v1
/
files
Create files to upload
curl --request POST \
  --url https://api.paytsoftware.com/v1/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "administration_id": "<string>",
  "files": [
    {
      "byte_size": 123,
      "checksum": "<string>",
      "content_type": "<string>"
    }
  ]
}
'
{
  "checksum": "<string>",
  "url": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Body

Create files to upload

administration_id
string
required

Administration identifier

files
object[]
required

Response

Files created, with URLs to upload

CustomerApi_V1_UploadableFileEntity model

checksum
string
required

File checksum

url
string
required

URL to upload the file to

expires_at
string<date-time>
required

Timestamp at which the URL expires

Last modified on June 12, 2026